Debian Bug report logs - #504875
libggi2-dev: Missing depedancies

version graph

Package: libggi2-dev; Maintainer for libggi2-dev is Bradley Smith <bradsmith@debian.org>;

Reported by: Christophe Mutricy <xtophe@chewa.net>

Date: Fri, 7 Nov 2008 18:57:02 UTC

Severity: grave

Found in version libggi/1:2.2.2-2

Fixed in version libggi/1:2.2.2-3

Done: Bradley Smith <bradsmith@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Bradley Smith <brad@brad-smith.co.uk>:
Bug#504875; Package libggi2-dev. (Fri, 07 Nov 2008 18:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christophe Mutricy <xtophe@chewa.net>:
New Bug report received and forwarded. Copy sent to Bradley Smith <brad@brad-smith.co.uk>. (Fri, 07 Nov 2008 18:57:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christophe Mutricy <xtophe@chewa.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libggi2-dev: Missing depedancies
Date: Fri, 07 Nov 2008 18:53:25 +0000
Package: libggi2-dev
Version: 1:2.2.2-2
Severity: grave
Justification: renders package unusable

Hello,

libggi2-dev install /usr/lib/libggi.la and in this file 
the "dependency_libs" is ' -L/usr/lib /usr/lib/libaa.la -lslang -lm -lncurses -lvga -lvgagl -lXxf86dga -lXxf86vm -lXext /usr/lib/libgii.la -lX11 /usr/lib/libgg.la -ldl -lc'

So if you link something with libggi using libtool, it looks for slang,
ncurses, vga, Xxf86dga, ... But the relevant -dev package are not in 
the "depends" of libggi2-dev

One solution is to not install the .la; another is too add the relevant -dev packages to the "depends"

-- 
Xtophe



-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (990, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.25-2-686 (SMP w/1 CPU core)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages libggi2-dev depends on:
ii  libggi2                       1:2.2.2-2  General Graphics Interface runtime
ii  libgii1-dev                   1:1.0.2-3  General Input Interface developmen

Versions of packages libggi2-dev recommends:
ii  libc6-dev                     2.7-16     GNU C Library: Development Librari
pn  libggimisc2-dev               <none>     (no description available)

libggi2-dev suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Bradley Smith <brad@brad-smith.co.uk>:
Bug#504875; Package libggi2-dev. (Fri, 07 Nov 2008 21:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Reinhard Tartler <siretart@tauware.de>:
Extra info received and forwarded to list. Copy sent to Bradley Smith <brad@brad-smith.co.uk>. (Fri, 07 Nov 2008 21:18:02 GMT) Full text and rfc822 format available.

Message #10 received at 504875@bugs.debian.org (full text, mbox):

From: Reinhard Tartler <siretart@tauware.de>
To: 504875@bugs.debian.org
Cc: Bradley Smith <brad@brad-smith.co.uk>, Christophe Mutricy <xtophe@chewa.net>
Subject: Re: libggi2-dev: Missing depedancies
Date: Fri, 07 Nov 2008 22:16:01 +0100
[Message part 1 (text/plain, inline)]
Christophe Mutricy <xtophe@chewa.net> writes:

> One solution is to not install the .la

Find an NMU for this solution attached.

If I can help you with that, I can upload this as NMU.

[nmu.diff (text/x-diff, inline)]
diff -u libggi-2.2.2/debian/changelog libggi-2.2.2/debian/changelog
--- libggi-2.2.2/debian/changelog
+++ libggi-2.2.2/debian/changelog
@@ -1,3 +1,10 @@
+libggi (1:2.2.2-2.1) unstable; urgency=low
+
+  * Non-maintainer upload.
+  * Bugfix: Don't install *.la files in libggi2-dev (Closes: #504875)
+
+ -- Reinhard Tartler <siretart@tauware.de>  Fri, 07 Nov 2008 21:17:50 +0100
+
 libggi (1:2.2.2-2) unstable; urgency=low
 
   * Remove obsolete dependency on devfsd.
diff -u libggi-2.2.2/debian/libggi2-dev.install libggi-2.2.2/debian/libggi2-dev.install
--- libggi-2.2.2/debian/libggi2-dev.install
+++ libggi-2.2.2/debian/libggi2-dev.install
@@ -1,7 +1,3 @@
 debian/tmp/usr/lib/*.so usr/lib
-debian/tmp/usr/lib/*.la usr/lib
 debian/tmp/usr/lib/*.a usr/lib
-debian/tmp/usr/lib/ggi/display/*.la usr/lib/ggi/display
-debian/tmp/usr/lib/ggi/helper/*.la usr/lib/ggi/helper
-debian/tmp/usr/lib/ggi/default/*.la usr/lib/ggi/default
 debian/tmp/usr/include/* usr/include
[Message part 3 (text/plain, inline)]

-- 
Gruesse/greetings,
Reinhard Tartler, KeyID 945348A4

Reply sent to Bradley Smith <bradsmith@debian.org>:
You have taken responsibility. (Sat, 08 Nov 2008 16:27:13 GMT) Full text and rfc822 format available.

Notification sent to Christophe Mutricy <xtophe@chewa.net>:
Bug acknowledged by developer. (Sat, 08 Nov 2008 16:27:22 GMT) Full text and rfc822 format available.

Message #15 received at 504875-close@bugs.debian.org (full text, mbox):

From: Bradley Smith <bradsmith@debian.org>
To: 504875-close@bugs.debian.org
Subject: Bug#504875: fixed in libggi 1:2.2.2-3
Date: Sat, 08 Nov 2008 16:17:12 +0000
Source: libggi
Source-Version: 1:2.2.2-3

We believe that the bug you reported is fixed in the latest version of
libggi, which is due to be installed in the Debian FTP archive:

libggi-samples_2.2.2-3_amd64.deb
  to pool/main/libg/libggi/libggi-samples_2.2.2-3_amd64.deb
libggi-target-aa_2.2.2-3_amd64.deb
  to pool/main/libg/libggi/libggi-target-aa_2.2.2-3_amd64.deb
libggi-target-emu_2.2.2-3_amd64.deb
  to pool/main/libg/libggi/libggi-target-emu_2.2.2-3_amd64.deb
libggi-target-fbdev_2.2.2-3_amd64.deb
  to pool/main/libg/libggi/libggi-target-fbdev_2.2.2-3_amd64.deb
libggi-target-monotext_2.2.2-3_amd64.deb
  to pool/main/libg/libggi/libggi-target-monotext_2.2.2-3_amd64.deb
libggi-target-svgalib_2.2.2-3_amd64.deb
  to pool/main/libg/libggi/libggi-target-svgalib_2.2.2-3_amd64.deb
libggi-target-terminfo_2.2.2-3_amd64.deb
  to pool/main/libg/libggi/libggi-target-terminfo_2.2.2-3_amd64.deb
libggi-target-vcsa_2.2.2-3_amd64.deb
  to pool/main/libg/libggi/libggi-target-vcsa_2.2.2-3_amd64.deb
libggi-target-x_2.2.2-3_amd64.deb
  to pool/main/libg/libggi/libggi-target-x_2.2.2-3_amd64.deb
libggi2-dev_2.2.2-3_amd64.deb
  to pool/main/libg/libggi/libggi2-dev_2.2.2-3_amd64.deb
libggi2_2.2.2-3_amd64.deb
  to pool/main/libg/libggi/libggi2_2.2.2-3_amd64.deb
libggi_2.2.2-3.diff.gz
  to pool/main/libg/libggi/libggi_2.2.2-3.diff.gz
libggi_2.2.2-3.dsc
  to pool/main/libg/libggi/libggi_2.2.2-3.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 504875@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Bradley Smith <bradsmith@debian.org> (supplier of updated libggi package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 08 Nov 2008 15:40:45 +0000
Source: libggi
Binary: libggi2 libggi2-dev libggi-samples libggi-target-emu libggi-target-monotext libggi-target-vcsa libggi-target-aa libggi-target-terminfo libggi-target-fbdev libggi-target-x libggi-target-svgalib libggi-target-lcd823
Architecture: source amd64
Version: 1:2.2.2-3
Distribution: unstable
Urgency: low
Maintainer: Bradley Smith <bradsmith@debian.org>
Changed-By: Bradley Smith <bradsmith@debian.org>
Description: 
 libggi-samples - General Graphics Interface sample programs
 libggi-target-aa - General Graphics Interface ASCII Art display target
 libggi-target-emu - General Graphics Interface colour emulation targets
 libggi-target-fbdev - General Graphics Interface direct access framebuffer target
 libggi-target-lcd823 - General Graphics Interface lcd823 display target
 libggi-target-monotext - General Graphics Interface plain text target
 libggi-target-svgalib - General Graphics Interface SVGAlib display target
 libggi-target-terminfo - General Graphics Interface TermInfo display target
 libggi-target-vcsa - General Graphics Interface direct access console text target
 libggi-target-x - General Graphics Interface X display target
 libggi2    - General Graphics Interface runtime libraries
 libggi2-dev - General Graphics Interface development package
Closes: 504875
Changes: 
 libggi (1:2.2.2-3) unstable; urgency=low
 .
   * Change maintainer email.
   * Add missing depends in -dev package. Closes: #504875.
Checksums-Sha1: 
 2b4f7dbf9829919bcc5934b98e081e1938fe686f 1394 libggi_2.2.2-3.dsc
 c5238accc82668308605cc5d48da16fbed33a8e7 32300 libggi_2.2.2-3.diff.gz
 15021dc4a64de77374231c6f948065188d468ff5 377982 libggi2_2.2.2-3_amd64.deb
 a5f745edf5a2fbcce0dbd58850f2f0ddf6eaf07e 554702 libggi2-dev_2.2.2-3_amd64.deb
 5c95f69620426fd56ee9d5a5c0a01f33ce5ca9d7 204310 libggi-samples_2.2.2-3_amd64.deb
 f5c41850fe1a936bca980ad1f6c36c9aa51e8e82 126682 libggi-target-emu_2.2.2-3_amd64.deb
 a8e0f692903888e8eae4c2d48b6e5e51b5cf7dea 114764 libggi-target-monotext_2.2.2-3_amd64.deb
 1113a0a66d45d5af71d1a0d4d66ed21863004d16 109538 libggi-target-vcsa_2.2.2-3_amd64.deb
 21e5f0a2505fe9ef417aa84130385a3c16c14b19 109618 libggi-target-aa_2.2.2-3_amd64.deb
 0389e1ea0c2bd2ce6d8c4be2a52435a9f5c8187a 112112 libggi-target-terminfo_2.2.2-3_amd64.deb
 b1572b29a94bfcfc887a92ef38b124068818ace6 141998 libggi-target-fbdev_2.2.2-3_amd64.deb
 043ee5e72aa933dcdf3d65ed0ce7c0ea68836afe 164996 libggi-target-x_2.2.2-3_amd64.deb
 ac92c527972d6ba894cc07ed08770403dd1a2e8b 116740 libggi-target-svgalib_2.2.2-3_amd64.deb
Checksums-Sha256: 
 11438187dbfb6da24279dcfce1e85c5b89c594e43771f473664ebad6b0a21a80 1394 libggi_2.2.2-3.dsc
 0843d4c76a88cc444de7ff8fa9df6450f3f69b4aacd3906e9e7bec70fe794cd5 32300 libggi_2.2.2-3.diff.gz
 753ac2fe09dd708218aa1789d7c3359f66b68f226d3562833e0be6561b0512bb 377982 libggi2_2.2.2-3_amd64.deb
 4b763e3153112b37e295246ad7df6511ba3e859742f9d330f27f827fa9bd1ab7 554702 libggi2-dev_2.2.2-3_amd64.deb
 0e9d7e55b8a6e241e7ac3789c5b1c27682a110f6cf41dea5f5d21959d6832dea 204310 libggi-samples_2.2.2-3_amd64.deb
 31df08bed5cb46ea0ddcb8e79a1d496972d80f004527968f34ee1f8a9e2708c4 126682 libggi-target-emu_2.2.2-3_amd64.deb
 3cc10bef493ae7e8294217783840dddb56ea3a1b4f7273d433bb86c18e31931d 114764 libggi-target-monotext_2.2.2-3_amd64.deb
 8755ee74700a12808bd1e379012fd0e0c1e121f420e89d413cc0c8c5627b5258 109538 libggi-target-vcsa_2.2.2-3_amd64.deb
 8d3f4efc077ddf34767d62fab317739acc4547fea8be459759586dccba94da6f 109618 libggi-target-aa_2.2.2-3_amd64.deb
 bb546adb4f908d6c548ec53b5153c3e0451a9a5a93be7a40d3b6a92ef9af5800 112112 libggi-target-terminfo_2.2.2-3_amd64.deb
 61c8099610b7f6700173dc125364b148551c1d40f8326565488ea490e3267f1c 141998 libggi-target-fbdev_2.2.2-3_amd64.deb
 50fa397f835e9f53590feca32e980ace152b046f9323ce8285227644b952a553 164996 libggi-target-x_2.2.2-3_amd64.deb
 97d41464f9ea34b77cd4499ac67bc8829891d8b2076d3775368e0788c18dc1d1 116740 libggi-target-svgalib_2.2.2-3_amd64.deb
Files: 
 fc5a4a9e7f38fb54f35a1b8fd67643d2 1394 libs optional libggi_2.2.2-3.dsc
 f07737be52a0b98355c846cd90ff5bff 32300 libs optional libggi_2.2.2-3.diff.gz
 b1235df78bfda1cd6fd9006ceac51988 377982 libs optional libggi2_2.2.2-3_amd64.deb
 109c65ff0760984639ad5cd8d4284b65 554702 libdevel optional libggi2-dev_2.2.2-3_amd64.deb
 54c2a073080640734d2f579c525bc7e5 204310 libs optional libggi-samples_2.2.2-3_amd64.deb
 e2b821d685a858dd4ea3da54df6f8d0b 126682 libs optional libggi-target-emu_2.2.2-3_amd64.deb
 033d84cc8b15395c64a7d7afbfda00bd 114764 libs optional libggi-target-monotext_2.2.2-3_amd64.deb
 ea0b14d13eb0b909447c59a505f95608 109538 libs optional libggi-target-vcsa_2.2.2-3_amd64.deb
 74af40bbcd8b84bef4285c04fd3f3151 109618 libs optional libggi-target-aa_2.2.2-3_amd64.deb
 09153ff8a1e92e2100e8393fa433d1db 112112 libs optional libggi-target-terminfo_2.2.2-3_amd64.deb
 7f4900098f22192b4162bf71c40d5a65 141998 libs optional libggi-target-fbdev_2.2.2-3_amd64.deb
 b7c23f8ca40318816dd4abf83396a5f9 164996 libs optional libggi-target-x_2.2.2-3_amd64.deb
 7a0ed0b54d1c2a89cd9e211bb9d28e88 116740 libs optional libggi-target-svgalib_2.2.2-3_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkkVuAEACgkQj3BimscY00fQRQCfbpf5bckxU7wSPNSQ+sQ9wYfw
pRwAoIZ9Kqbwtd6O39+P/ps0fCi1GHmA
=YIn0
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Bradley Smith <bradsmith@debian.org>:
Bug#504875; Package libggi2-dev. (Thu, 11 Dec 2008 18:42:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Asheesh Laroia <asheesh@asheesh.org>:
Extra info received and forwarded to list. Copy sent to Bradley Smith <bradsmith@debian.org>. (Thu, 11 Dec 2008 18:42:02 GMT) Full text and rfc822 format available.

Message #20 received at 504875@bugs.debian.org (full text, mbox):

From: Asheesh Laroia <asheesh@asheesh.org>
To: debian-release@lists.debian.org
Cc: 504875@bugs.debian.org, 504875-submitter@bugs.debian.org, Steffen Joerris <steffen.joeris@skolelinux.de>
Subject: Unblock suggestion: libggi
Date: Thu, 11 Dec 2008 10:38:30 -0800 (PST)
Howdy Debian Releasers,

I was examining the remaining Lenny RC bugs and found 
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=504875 via 
http://bts.turmzimmer.net/details.php?bydist=both&sortby=packages&fullcomment=on 
.  This is an RC bug against libggi2-dev (in src:libggi).

This issue is fixed in unstable, and the fix is a tiny patch, and the -3 
release that is in sid corrects only that RC bug and the maintainer's 
email address.

I believe that it should get unblocked and go into Lenny.  I'm probably 
not authorized to formally request it, since I'm neither the maintainer 
nor the Release Team.

(I'm CC:ing my AM so he knows what I'm up to.)

-- Asheesh.

-- 
You will be surprised by a loud noise.




Message sent on to Christophe Mutricy <xtophe@chewa.net>:
Bug#504875. (Thu, 11 Dec 2008 18:42:04 GMT) Full text and rfc822 format available.

Information stored :
Bug#504875; Package libggi2-dev. (Sun, 14 Dec 2008 09:42:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Paleino <d.paleino@gmail.com>:
Extra info received and filed, but not forwarded. (Sun, 14 Dec 2008 09:42:06 GMT) Full text and rfc822 format available.

Message #28 received at 504875-quiet@bugs.debian.org (full text, mbox):

From: David Paleino <d.paleino@gmail.com>
To: debian-release@lists.debian.org
Cc: Asheesh Laroia <asheesh@asheesh.org>, 504875-quiet@bugs.debian.org, Bradley Smith <bradsmith@debian.org>
Subject: Re: Bug#504875: Unblock suggestion: libggi
Date: Sun, 14 Dec 2008 10:38:05 +0100
[Message part 1 (text/plain, inline)]
On Thu, 11 Dec 2008 10:38:30 -0800 (PST), Asheesh Laroia wrote:

> Howdy Debian Releasers,
> 
> I was examining the remaining Lenny RC bugs and found 
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=504875 via 
> http://bts.turmzimmer.net/details.php?bydist=both&sortby=packages&fullcomment=on 
> .  This is an RC bug against libggi2-dev (in src:libggi).
> 
> This issue is fixed in unstable, and the fix is a tiny patch, and the -3 
> release that is in sid corrects only that RC bug and the maintainer's 
> email address.

The fix is in unstable since Nov 08. Is there any plan unblocking libggi?

> I believe that it should get unblocked and go into Lenny.  I'm probably 
> not authorized to formally request it, since I'm neither the maintainer 
> nor the Release Team.

The same applies to me, but I'd like to see another RC bug gone.

Kindly,
David

-- 
 . ''`.  Debian maintainer | http://wiki.debian.org/DavidPaleino
 : :'  : Linuxer #334216 --|-- http://www.hanskalabs.net/
 `. `'`  GPG: 1392B174 ----|---- http://snipr.com/qa_page
   `-   2BAB C625 4E66 E7B8 450A C3E1 E6AA 9017 1392 B174
[signature.asc (application/pgp-signature, attachment)]

Information stored :
Bug#504875; Package libggi2-dev. (Wed, 17 Dec 2008 12:06:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Neil McGovern <maulkin@halon.org.uk>:
Extra info received and filed, but not forwarded. (Wed, 17 Dec 2008 12:06:02 GMT) Full text and rfc822 format available.

Message #33 received at 504875-quiet@bugs.debian.org (full text, mbox):

From: Neil McGovern <maulkin@halon.org.uk>
To: David Paleino <d.paleino@gmail.com>
Cc: debian-release@lists.debian.org, Asheesh Laroia <asheesh@asheesh.org>, 504875-quiet@bugs.debian.org, Bradley Smith <bradsmith@debian.org>
Subject: Re: Bug#504875: Unblock suggestion: libggi
Date: Wed, 17 Dec 2008 11:59:51 +0000
[Message part 1 (text/plain, inline)]
On Sun, Dec 14, 2008 at 10:38:05AM +0100, David Paleino wrote:
> On Thu, 11 Dec 2008 10:38:30 -0800 (PST), Asheesh Laroia wrote:
> 
> > Howdy Debian Releasers,
> > 
> > I was examining the remaining Lenny RC bugs and found 
> > http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=504875 via 
> > http://bts.turmzimmer.net/details.php?bydist=both&sortby=packages&fullcomment=on 
> > .  This is an RC bug against libggi2-dev (in src:libggi).
> > 
> > This issue is fixed in unstable, and the fix is a tiny patch, and the -3 
> > release that is in sid corrects only that RC bug and the maintainer's 
> > email address.
> 
> The fix is in unstable since Nov 08. Is there any plan unblocking libggi?
> 

Unblocked by Luk, but waiting on curses.

Neil
-- 
A. Because it breaks the logical sequence of discussion
Q. Why is top posting bad?
gpg key - http://www.halon.org.uk/pubkey.txt ; the.earth.li B345BDD3
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 22 Jan 2009 07:29:12 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 15:08:55 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.